/*  */
function click_mqqr_box(path, sval, mode, zmode, text, mtype, myq, myt, myf, mybefore, btntp) {
	if ($('#popup_box #mqqr_main').length > 0 && $('.ui-popup-active').length > 0) {
		// console.log(msg);
		if ($('#popup_box .mqqr_hide_var .mqqr_hide_gettr input').length >= 1) {
			var num = $('#popup_box .mqqr_hide_var .mqqr_hide_gettr input').length,
				djson = (fromid_output_json('#popup_box #condition_text_'+mtype,'name')),
				searh = {"sid":sval,
						 "parent":path,
						 "mode":mode,
						 "zmode":zmode,
						 "aid":myq,
						 "col":btntp+"_"+text,
						 "ret":myt+"."+myf,
						 "subtp":1
						},
				url = 'core/cw5e_mqqr_cv.php?';
			$('#popup_box .mqqr_hide_var .mqqr_hide_posttr #qrypost'+num.toString()).val(djson);
			$('#popup_box .mqqr_hide_var .mqqr_hide_gettr').append(
				'<input type="hidden" id="qryget'+(num+1).toString()+'" value="'+JSON.stringify(searh).replace(/"/g, '&quot;')+'">'
			);
			$('#popup_box .mqqr_hide_var .mqqr_hide_posttr').append(
				'<input type="hidden" id="qrypost'+(num+1).toString()+'" value="">'
			);
			$.each(searh, function(shkey, shval) {
				if (url.substr(-1) == '?') url += shkey+'='+EncodeURLutf8(shval)
				else url += '&'+shkey+'='+EncodeURLutf8(shval)
			});
			load_content('#popup_box #mqqr_main',url);
		}
	} else {
		load_popup_box('core/cw5e_mqqr_cv.php?sid='+sval+'&mode='+mode+'&zmode='+zmode+'&aid='+myq+'&ccv=&lang=1&col='+btntp+'_'+text+'&ret='+myt+'.'+myf, 'fast_query', 0, 0);
	}
}